Last Comment Bug 524886 - "Any text in the page" and "Links only" Radio Buttons Are Not Disabled when Disabling Find as You Type
: "Any text in the page" and "Links only" Radio Buttons Are Not Disabled when D...
Status: RESOLVED FIXED
: fixed-seamonkey2.0.1
Product: SeaMonkey
Classification: Client Software
Component: Find In Page (show other bugs)
: Trunk
: x86 All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Ben Frisch
:
Mentors:
Depends on:
Blocks: 97023 444146
  Show dependency treegraph
 
Reported: 2009-10-27 20:59 PDT by Ben Frisch
Modified: 2009-10-31 19:15 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Use EnableElementById instead of EnableTextbox (456 bytes, patch)
2009-10-27 20:59 PDT, Ben Frisch
neil: review+
neil: approval‑seamonkey2.0.1+
Details | Diff | Splinter Review

Description Ben Frisch 2009-10-27 20:59:00 PDT
Created attachment 408776 [details] [diff] [review]
Use EnableElementById instead of EnableTextbox

The radio buttons that change which text is searched during find as you type in the Keyboard Navigation preference panel are not disabled when find as you type is disabled.

This is a result of the JavaScript for the preference panel calling EnableTextbox, which doesn't exist, instead of EnableElementById.  The attached patch should fix that.
Comment 1 Frank Wein [:mcsmurf] 2009-10-30 16:03:19 PDT
Pushed to comm-1.9.1: http://hg.mozilla.org/releases/comm-1.9.1/rev/ecb87f07b416
Pushed to comm-central: http://hg.mozilla.org/comm-central/rev/28d66f0a842e

Note You need to log in before you can comment on or make changes to this bug.